Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-SU-2016:0161-1: moderate: Security update for polarssl
openSUSE Security Update: Security update for polarssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:0161-1
Rating: moderate
References: #961284 #961290
Cross-References: CVE-2015-7575
Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


This update for polarssl fixes the following issues:

* CVE-2015-7575: Disables by default MD5 handshake signatures in TLS 1.2
to prevent the SLOTH attack on TLS 1.2 server authentication (boo#961284)
* boo#961290: potential double free during certificate generation


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2016-60=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libpolarssl7-1.3.9-14.1
libpolarssl7-debuginfo-1.3.9-14.1
polarssl-devel-1.3.9-14.1


References:

https://www.suse.com/security/cve/CVE-2015-7575.html
https://bugzilla.suse.com/961284
https://bugzilla.suse.com/961290


< Previous Next >
This Thread
  • No further messages